diff -Naur Doomsday Data Files.old/ai/jap_1937.ai Doomsday Data Files/ai/jap_1937.ai
--- Doomsday Data Files.old/ai/jap_1937.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/jap_1937.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,426 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 2.0
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+neutrality = 70.000
+war = 5
+reinforcement = 0.01
+upgrading = 0.1
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.10
+exp_force_ratios = {
+	SIA = 0.5
+	MAN = 0.5
+}
+no_exp_forces_to = { GER ROM HUN SLO BUL ITA VIC YUG FIN CRO }
+
+###################################
+# Diplomacy
+###################################
+combat = { }
+
+claim_acceptance = -49
+
+# Special resistance against "influence" by the listed nations. Value range = [0 - 10]
+resistance = {
+	USA = 3
+	ENG = 4
+	FRA = 6
+	CHI = 6
+	SOV = 4
+}
+befriend = {
+	SIA = 100
+	MAN = 150
+}
+protect = {
+	SIA = 100
+	MAN = 150
+}
+target = {
+	# Shanxi
+	1204 = 100
+	1205 = 100
+	1206 = 100
+	1210 = 100
+	1211 = 100
+	1212 = 100
+	1213 = 100
+	1216 = 100
+	1207 = 100
+	1208 = 100
+	1209 = 100
+	1225 = 100
+	1226 = 100
+
+	#Northen China
+	1214 = 100
+	1215 = 100
+	1217 = 100
+	1219 = 100
+	1218 = 100
+	1220 = 100
+	1221 = 100
+	1222 = 100
+	1223 = 100
+	1224 = 100
+	1235 = 100
+	1236 = 100
+	1237 = 100
+	1234 = 100
+	1238 = 100
+	1228 = 100
+	1229 = 100
+	1230 = 100
+	1227 = 100
+}
+
+trade = {
+
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= 11
+	money 		= -1
+
+	favored = {
+		USA = 150
+		SOV = 150
+		MAN = 100
+		MEN = 100
+		SIA = 100
+		HOL = 200
+	}
+	embargo = {
+		CHI CSX SIK CXB CYN CGX CHC
+	}
+}
+
+tech_sharing = {
+	favored = {
+		ITA = 50
+		MAN = 150
+		MEN = 150
+		SIA = 100
+		GER = 150
+	}
+	embargo = {
+		USA ENG FRA AST CAN NZL CHI CSX SIK CXB CYN CGX CHC
+	}
+	not = { }
+	prioritized = {	}
+}
+
+###################################
+# Construction and Tech Research
+###################################
+#Default values
+construction = {
+	max_factor = 0.000
+
+}
+military = {
+	relative_build_scheme 	= no
+	max_batch_peace 	= 360
+	max_batch_war 		= 180
+	max_batch_home_front 	= 180
+
+	#### Divisions etc...
+	infantry 	= 60
+	cavalry 	= 10
+	motorized 	= 10
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 0
+	paratrooper 	= 0
+	marine 		= 10
+	bergsjaeger 	= 10
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
+#				100 %
+	interceptor 	= 0
+	multi_role 	= 0
+	escort 		= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 0
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				0 %
+	battleship 	= 0
+	carrier 	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				0 %
+
+	#### Brigades
+	artillery 		= 40
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 5
+	anti_air 		= 5
+	police 			= 10
+	engineer 		= 10
+
+	cag = 100.000
+}
+technology = {
+	endgoal 	= { }
+	preference 	= {
+			#Inftechs
+			1190 1200 1210 1220 1230 1240 # cav and motorized
+			1020 1030 1040 1050 # Inf
+			1150 1160 1170 # Marine
+
+			#industry
+			1310 1320 1330 1340 1350 1360 # supply
+			5020 5030 5040 # Arcriculture
+			5050 5060 5070 5080 5090 5100 5110 5120 5130 5150 5180 10120 # Produktion
+
+			# ari and tank
+			2290 2300 2310 2320 2330  # Ari
+
+			# armored car
+			2150 2160
+			
+			#Marine
+			3310 # Super Heavy BB
+			3320 3330 3340 3350 3360 3370 3380 3390 # carrier
+			 }
+	ignore 		= {
+		# Industry	
+		5140 5160 5170 #some assemblylines
+		5410 5420 5430 5440 5450 5460 # Bas Decimetric radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Atomic Research
+		5550 5560 5570 5580 5590 # rocket Test and Research
+
+		# Inf
+		1070 1080 1090 1100 # Airborne
+		1260 1270 1280 1290 # mech
+
+		#Planes
+		4250 4260 4270 # Air Transports
+		4040 4070 4100 # Not necessary fighters
+		4170 4280 4180 # Close Air Support 
+		4220 4230 4240 # Strategic bombers
+		#Marine 
+		3210 3220 3230 3240 # Battlecruiser
+		3290 3300 # BB
+		3160 3170 3180 # heavy cruiser
+		3440 3450 # sub
+
+		# tanks and Ari
+		2370 2380 2390  # rocket ari
+		2260 2270 2280  # sp rocket
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2400 2410 2420 2430 2440  # at
+		2170 2180 2190 2200 2210 # Tank destroyers
+		2470 2480 2490 2500 # static aa
+
+
+		# land doc 
+		6150 6170 6200 6180 
+		#sea docs
+		# Air Docs
+		9040 9050 9060 9070 9080 9270 9280 9290 9300 # cas 
+		9140 9150 9160 9170 9180 9430 9440 9450 9460 # strat
+		9230 9240 9250 9260 9390 9400 9410 9420 # fighter alternative  
+
+
+	}
+
+	armor 		= 3
+	infantry 	= 10
+	industry 	= 10
+	aircraft 	= 4
+	naval 		= 6
+	land_doctrines 	= 2
+	secret_weapons 	= 1
+	air_doctrines 	= 1
+	naval_doctrines = 4
+}
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+leader_ratio = {
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
+}
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 0.5
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 11
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0
+	revolt_risk_mult	= 0
+
+	# PRIORITIES:
+	beach			= 20	# Beach level 2
+	capital			= 40	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 100	# The next country targeted for attack by this AI
+
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		CHI = 75
+		CSX = 75
+		SIK = 75
+		CXB = 75
+		CYN = 75
+		CGX = 75
+		CHC = 75
+		VIC = -1
+		MAN = -1
+		MON = -1
+		SIA = -1
+		SOV = 15
+		POR = -1
+		ENG = 50
+		FRA = 50
+		HOL = 10
+		USA = 50
+		AST = 10
+		NZL = 10
+	}
+	province_priorities = {
+		1203 = 100 # Tagshan
+		1397 = 100 # Changde
+		1398 = 100 # Erenhot
+	}
+	area_multiplier = {
+		1203 = 7.5 # Tagshan
+		1397 = 7.5 # Changde
+		1398 = 7.5 # Erenhot
+	}
+}
+front = {
+	recklessness 		= 1 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+
+	enemy_reinf_days	= 6
+	reserve_prop		= 0.1
+	panic_ratio_vs_ai	= 2.0
+	panic_ratio_vs_human	= 2.0
+	base_attack_odds	= 1.7
+	min_attack_odds		= 1.3
+	max_attack_odds		= 3.0
+	reinforce_odds		= 1.2
+	withdraw_odds		= 0.6
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+	frozen_attack 	= 1.0
+	snow_attack 	= 1.0
+	blizzard_attack = 1.0
+	storm_attack 	= 1.0
+	muddy_attack 	= 1.0
+
+	largefort 	= 1.0
+	smallfort 	= 1.0
+	occupied 	= 0.7
+	owned 		= 0.7
+
+	jungle_attack 	= 1.0
+	mountain_attack = 1.0
+	swamp_attack 	= 1.0
+	forest_attack 	= 1.0
+	hill_attack 	= 1.0
+	urban_attack 	= 1.0
+	river 		= 1.0
+
+      	enemy_handicap = {
+	}
+      	passivity = {
+		CYN = 100
+		SIK = 100
+		CXB = 100
+	}
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+ 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 8.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 0.1	#higher = avoid long distance.
+	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 0.1	#prioritise taking pure islands.
+	enemy		= 2.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
+	air_base	= 1.5
+      	naval_base 	= 0.1
+      	air_support 	= 3.0
+      	redirect 	= priority
+	ignore		= no
+	help_allies 	= no 	#[yes/no]
+
+	staging_province = {
+
+		1322 # Kaohsung
+#		1613 # Truk
+	}
+
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = JAP
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
